spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Hamstra <m...@clearstorydata.com>
Subject Re: Spark 2.0.0-preview artifacts still not available in Maven
Date Mon, 06 Jun 2016 19:00:57 GMT
Fine.  I don't feel strongly enough about it to continue to argue against
putting the artifacts on Maven Central.

On Mon, Jun 6, 2016 at 11:48 AM, Sean Owen <sowen@cloudera.com> wrote:

> Artifacts can't be removed from Maven in any normal circumstance, but,
> it's no problem.
>
> The argument that people might keep using it goes for any older
> release. Why would anyone use 1.6.0 when 1.6.1 exists? yet we keep
> 1.6.0 just for the record and to not break builds. It may be that
> Foobar 3.0-beta depends on 2.0.0-preview and 3.0 will shortly depend
> on 2.0.0, but, killing the -preview artifact breaks that other
> historical release/branch.
>
> I agree that "-alpha-1" would have been better. But we're talking
> about working around pretty bone-headed behavior, to not notice what
> version of Spark they build against, or not understand what
> 2.0.0-preview vs 2.0.0 means in a world of semver.
>
> BTW Maven sorts 2.0.0-preview before 2.0.0, so 2.0.0 would show up as
> the latest, when released, in tools like mvn
> versions:display-dependency-updates. You could exclude the preview
> release by requiring version [2.0.0,).
>
> On Mon, Jun 6, 2016 at 7:19 PM, Mark Hamstra <mark@clearstorydata.com>
> wrote:
> > Precisely because the naming of the preview artifacts has to fall
> outside of
> > the normal versioning, I can easily see incautious Maven users a few
> months
> > from now mistaking the preview artifacts as spark-2.0-something-special
> > instead of spark-2.0-something-stale.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@spark.apache.org
> For additional commands, e-mail: dev-help@spark.apache.org
>
>

Mime
View raw message